> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coinversa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get API public v1 hip4 outcomes by outcome ID recent trades



## OpenAPI

````yaml /api-reference/openapi.json get /api/public/v1/hip4/outcomes/{outcome_id}/recent-trades
openapi: 3.1.0
info:
  title: coinversa-api
  version: 0.1.0
servers:
  - url: https://api.coinversa.ai
    description: Production
security: []
paths:
  /api/public/v1/hip4/outcomes/{outcome_id}/recent-trades:
    get:
      summary: Get API public v1 hip4 outcomes by outcome ID recent trades
      operationId: get-api-public-v1-hip4-outcomes-by-outcome-id-recent-trades
      parameters:
        - in: path
          name: outcome_id
          required: true
          schema:
            format: int64
            type: integer
        - description: Max trades to return (1..500, default 100)
          explode: false
          in: query
          name: limit
          schema:
            default: 100
            description: Max trades to return (1..500, default 100)
            format: int64
            type: integer
        - description: Look-back window in hours (default 24, max 168)
          explode: false
          in: query
          name: hours
          schema:
            default: 24
            description: Look-back window in hours (default 24, max 168)
            format: int64
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HIP4RecentTradesBody'
          description: OK
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Bad Request
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Unauthorized
        '422':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Unprocessable Entity
        '429':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Too Many Requests
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    HIP4RecentTradesBody:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.coinversa.ai/schemas/HIP4RecentTradesBody.json
          format: uri
          readOnly: true
          type: string
        count:
          format: int64
          type: integer
        displayName:
          type: string
        name:
          type: string
        outcomeId:
          format: int64
          type: integer
        trades:
          items:
            $ref: '#/components/schemas/HIP4RecentTrade'
          type:
            - array
            - 'null'
      required:
        - outcomeId
        - count
        - trades
      type: object
    APIError:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.coinversa.ai/schemas/APIError.json
          format: uri
          readOnly: true
          type: string
        code:
          description: Machine-readable error code
          type: string
        current_tier:
          description: Caller's effective tier
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        required_tier:
          description: Minimum tier for this operation
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
        upgrade_url:
          description: Where to upgrade
          type: string
      type: object
    HIP4RecentTrade:
      additionalProperties: false
      properties:
        address:
          type: string
        coin:
          type: string
        dirId:
          format: int32
          type: integer
        fee:
          format: double
          type: number
        pnl:
          format: double
          type: number
        px:
          format: double
          type: number
        side:
          type: string
        sideIndex:
          format: int64
          type: integer
        sz:
          format: double
          type: number
        tradeTime:
          type: string
      required:
        - tradeTime
        - address
        - coin
        - sideIndex
        - side
        - dirId
        - px
        - sz
        - pnl
        - fee
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    apiKey:
      description: Get one at https://coinversa.ai/developers
      in: header
      name: X-API-Key
      type: apiKey

````